local m, s, o
local zone_opt = {
	name	= "zerotier",
	input	= "ACCEPT",
	forward	= "REJECT",
	output	= "ACCEPT",
	device	= "zt+"
}

m = Map("zerotier")

s = m:section(TypedSection, "zerotier", translate("ZeroTier"))
s.addremove = true
s.noname = true
s.template = "cbi/tblsection"
s.add_title = "Add new ZeroTier configuration"
s.novaluetext = translate("There are no ZeroTier configurations yet")
s.extedit = luci.dispatcher.build_url("admin", "services", "vpn", "zerotier", "%s")

s.create = function(self, section)
    local created = TypedSection.create(self, section)
    if created then
        --self.map:success_msg(translate("New ZeroTier instance was created successfully. Configure it now"))
        return true
    else
        self.map:error_msg(translate("Failed to create new ZeroTier instance"))
        return false
    end
end

o = s:option(DummyValue, "name", translate("ZeroTier name"), translate("Name of the Zerotier instance. Used for easier management purpose only"))
o.cfgvalue = function(self, section)
    return section or "Unknown"
end

s:option(Flag, "enabled", translate("")).last = true

function m.on_commit(self)
	luci.util_tlt.enable_vpn_firewall(nil, "zerotier", zone_opt, nil)
end

return m
